Bug 198642 - Request update to Squid-2.6-STABLE
Request update to Squid-2.6-STABLE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-12 09:50 EDT by Reuben Farrelly
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-18 08:05:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2006-07-12 09:50:48 EDT
As Squid-2.6 is now out and in a STABLE release cycle, I would like to see the
FC package upgraded to this release way before FC6 goes gold.

Some good reasons to upgrade:

- epoll support, which we should most definitely turn on by default (and disable
poll and select), means we could close off Bugzilla #72896 as there would be no
real need to increase the number of File Descriptors we build with.  And one
patch less to maintain.

- The X-Forwarded-For patch we have in the Squid-2.5 RPM is now fully integrated
into Squid-2.6, so another patch less to maintain.

- Possibly allow Bugzilla #197405 to be closed

- We should build with WCCPv2 - many people generally have requested this feature

- And lastly, Squid-2.5 is no longer officially supported upstream so
technically we're running an unsupported release.

There have been quite a few commits made to the source of this release so it may
be easier to just grab -CVS of the 2.6 branch and update to -STABLE2 when it is
finally out rather than applying all 30 patches one by one.

[The Squid-2.6 CVS branch is a strictly bugfix only branch, and could be
considered to be more stable than the latest STABLE release.]
Comment 1 Martin Stransky 2006-07-17 10:52:25 EDT
I agree but epoll doesn't work fine for me, I think it needs a small patch for
more than FD_SETSIZE filedescriptors...
Comment 2 Reuben Farrelly 2006-07-17 21:07:16 EDT
The fix for this may be in CVS...this just committed to squid-2.6 CVS:

hno         2006/07/17 18:22:20 MDT

  Modified files:
    src                  main.c protos.h tools.c 
  Log:
  Cleanup of Linux capability code used by tproxy
  
  this patch cleans up the Linux capability code to not collide with
  glibc when built for >1024 filedescriptors.


Comment 3 Martin Stransky 2006-07-18 08:05:49 EDT
The latest version is in rawhide...
Comment 4 Reuben Farrelly 2006-07-18 08:14:13 EDT
Great, many thanks Martin.

If you would like any patches pushed upstream please let me know and I'll see
what I can try and do...it obviously makes life easier for everyone if upstream
integrates as many of the patches as possible as we are using here.
Comment 5 Martin Stransky 2006-07-19 08:34:03 EDT
(In reply to comment #4)
> Great, many thanks Martin.
> 
> If you would like any patches pushed upstream please let me know and I'll see
> what I can try and do...it obviously makes life easier for everyone if upstream
> integrates as many of the patches as possible as we are using here.
> 
Sure thing, thanks.

Note You need to log in before you can comment on or make changes to this bug.